> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atollhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List scoped agent executions



## OpenAPI

````yaml /openapi.json get /api/orgs/{id}/executions
openapi: 3.1.0
info:
  title: Atoll API
  version: 1.0.0
  description: >-
    REST API for Atoll project management, agent collaboration, strategy
    tracking, and integrations.
servers:
  - url: https://atollhq.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Organizations
  - name: Projects
  - name: Project access
  - name: Issues
  - name: Issue details
  - name: Milestones
  - name: Artifacts
  - name: Strategy
  - name: Members and agents
  - name: Planning
  - name: Setup
  - name: Integrations and billing
  - name: Notifications and public
  - name: Private inbox
  - name: Agent executions
  - name: Human attention
paths:
  /api/orgs/{id}/executions:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Agent executions
      summary: List scoped agent executions
      operationId: list_agent_executions
      parameters:
        - name: issue_id
          in: query
          schema:
            type: string
            format: uuid
        - name: agent_member_id
          in: query
          schema:
            type: string
            format: uuid
        - name: state
          in: query
          schema:
            type: string
            enum:
              - assigned
              - running
              - waiting
              - needs_human
              - succeeded
              - failed
              - cancelled
        - name: active
          in: query
          schema:
            type: boolean
        - name: harness_kind
          in: query
          schema:
            type: string
            maxLength: 64
        - name: updated_after
          in: query
          schema:
            type: string
            format: date-time
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 25
        - name: offset
          in: query
          schema:
            type: integer
            minimum: 0
            maximum: 10000
            default: 0
        - name: shape
          in: query
          schema:
            type: string
            enum:
              - envelope
              - cli
      responses:
        '200':
          description: Scoped execution list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentExecutionListResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
components:
  schemas:
    AgentExecutionListResponse:
      description: Legacy execution-list response or CLI-compatible envelope.
      oneOf:
        - $ref: '#/components/schemas/AgentExecutionListLegacyResponse'
        - $ref: '#/components/schemas/AgentExecutionListEnvelopeResponse'
    AgentExecutionListLegacyResponse:
      type: object
      required:
        - executions
        - total
        - limit
        - offset
      properties:
        executions:
          type: array
          items:
            $ref: '#/components/schemas/AgentExecution'
        total:
          type: integer
        limit:
          type: integer
        offset:
          type: integer
      additionalProperties: true
    AgentExecutionListEnvelopeResponse:
      type: object
      required:
        - resource
        - items
        - total
        - limit
        - offset
        - nextOffset
        - truncated
        - hint
      properties:
        resource:
          type: string
          const: executions
        items:
          type: array
          items:
            $ref: '#/components/schemas/AgentExecution'
        total:
          type: integer
        limit:
          type: integer
        offset:
          type: integer
        nextOffset:
          type:
            - integer
            - 'null'
        truncated:
          type: boolean
        hint:
          type:
            - string
            - 'null'
      additionalProperties: true
    Error:
      type: object
      description: >-
        Common error responses contain error. Shared missing-auth and
        unknown-API responses also contain a stable code.
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
      examples:
        - error: Unauthorized
          code: unauthorized
        - error: Not found
          code: not_found
      additionalProperties: true
    AgentExecution:
      type: object
      additionalProperties: true
      required:
        - id
        - issue_id
        - state
        - state_version
        - agent
        - last_actor
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        issue_id:
          type: string
          format: uuid
        current_project_id:
          type: string
          format: uuid
          nullable: true
        project_id_at_creation:
          type: string
          format: uuid
          nullable: true
        state:
          type: string
          enum:
            - assigned
            - running
            - waiting
            - needs_human
            - succeeded
            - failed
            - cancelled
        state_version:
          type: integer
          minimum: 1
        agent:
          $ref: '#/components/schemas/AgentExecutionActor'
        last_actor:
          $ref: '#/components/schemas/AgentExecutionActor'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    AgentExecutionActor:
      type: object
      additionalProperties: false
      required:
        - id
        - display_name
        - type
        - deleted
      properties:
        id:
          type: string
          format: uuid
        display_name:
          type: string
          nullable: true
        type:
          type: string
          enum:
            - human
            - agent
            - integration
        deleted:
          type: boolean
  responses:
    BadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: sk_atoll_<key>

````